 
#    patches specific for Megha - note this is in addition to the Charissa patch file


if {[info exists env(CamacController)]} then {set controller $env(CamacController)}  \
   else {set controller RS232CC}
set CAMACcontroller $controller


proc modify-frame {} {
   :modify IINCR :value 0 :inactive T
   :modify IPG   :value 0 :inactive T
   :modify ITEM  :value 0 :inactive T
   :modify GROUP :value 0 :inactive T
   :modify SUBADDR :value 0 :inactive T
   :modify CHANNELS :value 0 :inactive T
   :modify VSN :value 0 :inactive T
}

proc DAQ-go {} {
   global env debug datalist
   if {[catch {set x $env(EXPERIMENTDIR)}] != 0} then {midas-warning "No Current Experiment!"; return}
   set procname "_DAQ-go"

   foreach data $datalist {
      set moduletype [first $data]
      set modulename [second $data]
      if {$debug} then {insert-debug "$procname $moduletype $modulename <$moduletype$procname>"}
      if {"$moduletype" != "Facet"} then {
         if {[info procs $moduletype$procname] != ""} then {$moduletype$procname $modulename}
      }
   }

   foreach data $datalist {
      set moduletype [first $data]
      set modulename [second $data]
      if {"$moduletype" == "Facet"} then {
         if {[info procs $moduletype$procname] != ""} then {$moduletype$procname $modulename}
      }
   }
#   send sys redisplay-electronics
}

proc DAQ-halt {} {
   global env debug datalist
    if {[catch {set x $env(EXPERIMENTDIR)}] != 0} then {midas-warning "No Current Experiment!"; return}
   set procname "_DAQ-halt"

   foreach data $datalist {
      set moduletype [first $data]
      set modulename [second $data]
      if {"$moduletype" == "Facet"} then {
         if {[info procs $moduletype$procname] != ""} then {$moduletype$procname $modulename}
      }
   }

   foreach data $datalist {
      set moduletype [first $data]
      set modulename [second $data]
      if {"$moduletype" != "Facet"} then {
         if {$debug} then {puts stderr "DAQ-halt $moduletype $modulename"}
         if {[info procs $moduletype$procname] != ""} then {$moduletype$procname $modulename}
      }
   }
#   send sys redisplay-electronics
}


